package com.example.a8_bitinvader;

public class Player extends Sprite{

    private int hp;

    /**
     * Player constructor calls super (Sprite)
     * @param xp
     * @param yp
     * @param img
     */
    public Player(int xp, int yp, int img) {
        super(xp, yp, img);
    }

    /**
     *
     * @return Number of lives left
     */
    public int getHP() {
        return hp;
    }

    /**
     * Decrements the life count
     * @param dec the decrement count
     */
    public void decrementHP(int dec) {
        hp -= 1;
    }
    public void incrementHP(int inc) {
        hp += 1;
    }
    public boolean isAlive() {
        return (hp > 0);
    }
}
